resource_rules:
  issues:
    rules:
      - name: Auto close with auto-close::3d label
        conditions:
          labels:
            - "auto-close::3d"
          date:
            attribute: updated_at
            condition: older_than
            interval_type: days
            interval: 3
          state: opened
        actions:
          status: close
          remove_labels:
            - "auto-close::3d"
          comment: |
            Hi {{author}},

            This issue is being closed automatically because it has the ~"auto-close::3d" label.

            We'd like to ask you to help us out and determine if this was the right decision, if
            you think there is a reason that it should remain open, please add a note explaining
            why and re-open.

            Thanks for your help! :black_heart:

            ----

            You are welcome to help [improve this comment](https://gitlab.com/gitlab-com/gl-infra/triage-ops/blob/master/policies/production/auto-close.yml).
      - name: Auto close with auto-close::7d label
        conditions:
          labels:
            - "auto-close::7d"
          date:
            attribute: updated_at
            condition: older_than
            interval_type: days
            interval: 7
          state: opened
        actions:
          status: close
          remove_labels:
            - "auto-close::7d"
          comment: |
            Hi {{author}},

            This issue is being closed automatically because it has the ~"auto-close::7d" label.

            We'd like to ask you to help us out and determine if this was the right decision, if
            you think there is a reason that it should remain open, please add a note explaining
            why and re-open.

            Thanks for your help! :black_heart:

            ----

            You are welcome to help [improve this comment](https://gitlab.com/gitlab-com/gl-infra/triage-ops/blob/master/policies/production/auto-close.yml).
